<?php

namespace Spaggel\Tooltip\Block\Product\View;

use Magento\Catalog\Block\Product\View\Attributes as CoreAttributes;
use Magento\Framework\Phrase;

class Attributes extends CoreAttributes
{
    public function getAdditionalData(array $excludeAttr = [])
    {
        $data = [];
        $product = $this->getProduct();
        $attributes = $product->getAttributes();
        foreach ($attributes as $attribute) {
            if ($this->isVisibleOnFrontend($attribute, $excludeAttr)) {
                $value = $attribute->getFrontend()->getValue($product);

                if ($value instanceof Phrase) {
                    $value = (string)$value;
                } elseif ($attribute->getFrontendInput() == 'price' && is_string($value)) {
                    $value = $this->priceCurrency->convertAndFormat($value);
                }

                if (is_string($value) && strlen(trim($value))) {
                    $data[$attribute->getAttributeCode()] = [
                        'label' => $attribute->getStoreLabel(),
                        'value' => $value,
                        'code' => $attribute->getAttributeCode(),
                        'tooltip' => $attribute->getData('tooltip'),
                    ];
                }
            }
        }
        return $data;
    }
}
