# Magento 2.3 product attribute tooltips

**This module is in development, use at your own risk**

This module adds support for tooltips on product attributes.

## Install

Run `composer require spaggel/tooltip` to install the latest release.

## Functionality

**Support for tooltips on:**
- Product attributes table (product view page)
- Configurable swatches (product view page)

### Demo

Frontend demo: [here](https://magento2.spaggel.nl/configurable-product-2.html) (currently offline)

### Screenshots

#### Product information:

Closed:

![tooltip closed](https://raw.githubusercontent.com/wiki/Spaggel/Tooltip/img/product-attribute-tooltip-closed.jpg)

Opened:

![tooltip open](https://raw.githubusercontent.com/wiki/Spaggel/Tooltip/img/product-attribute-tooltip-open.jpg)

#### Configurable product swatch:

Closed:

![swatch closed](https://raw.githubusercontent.com/wiki/Spaggel/Tooltip/img/product-swatch-tooltip-closed.png)

Opened:
 
![swatch open](https://raw.githubusercontent.com/wiki/Spaggel/Tooltip/img/product-swatch-tooltip-open.png)

**Todo**:

Add support for:
- [ ] Layered navigation attributes
- [ ] CMS variables (e.g. {{store url}}) **Work in progress**
- [ ] Multistore/multilanguage
- [ ] ??

## How to use

More info can be found in the [Wiki](https://github.com/Spaggel/Tooltip/wiki).

### Technical info

I wrote some technical stuff about the module and how it works: [here](https://github.com/Spaggel/Tooltip/wiki/Technical-details).

### Credits

This module is using the [MIT License](https://github.com/Spaggel/Tooltip/blob/master/LICENSE.md)

### Contributing

Feel free to create an issue or submit a pull request. I'll do the best I can to help you.
